Bug 590704 - intermittent connection caused by Networkmanager
intermittent connection caused by Networkmanager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 10:22 EDT by microflare
Modified: 2011-06-27 12:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:14:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description microflare 2010-05-10 10:22:40 EDT
Description of problem:

2.6.33.3-85.fc13.x86_64
NetworkManager-gnome-0.8.0-12.git20100504.fc13.x86_64

Connections will lose probably every 5-10 minutes. It could be related to the following errors:

$ service network restart

Shutting down interface eth0:  Device state: 3 (disconnected)
                                                           [  OK  ]
Shutting down loopback interface:  Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
                                                           [  OK  ]
Bringing up loopback interface:  Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
                                                           [  OK  ]
Bringing up interface eth0:  Active connection state: activating
Active connection path: /org/freedesktop/NetworkManager/ActiveConnection/36
state: activated
Connection activated
                                                           [  OK  ]

Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.8.0-12.git20100504.fc13.x86_64

How reproducible:
always there

Steps to Reproduce:
1. $ service network restart
2.
3.
  
Actual results:
intermittent connection

Expected results:


Additional info:
Comment 1 Dan Williams 2010-05-10 17:41:32 EDT
Can you attach your /var/log/messages for me?  When you say the connection will "lose", you mean that you simply cannot access sites anymore?  Can you grab the output of 'nm-tool' when this problem occurs?
Comment 2 microflare 2010-05-10 18:07:44 EDT
Yes, when the connection "lose", no sites can be accessed. Browser just says "Resolving host.....". If I switch to network service and disable Network manager, no problem occurs.

/var/log/messages: when I switch from network service to Network manager

May 10 17:49:24 testmachine NetworkManager[1910]: <info> waking up...
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth0): now managed
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth0): device state change: 1 -> 2 (reason 2)
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth0): bringing up device.
May 10 17:49:24 testmachine kernel: ATL1E 0000:02:00.0: ATL1E: eth0 NIC Link is Up<100 Mbps Full Duplex>
May 10 17:49:24 testmachine kernel: ADDRCONF(NETDEV_UP): eth0: link is not ready
May 10 17:49:24 testmachine kernel: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth0): preparing device.
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth0): deactivating device (reason: 2).
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth1): now managed
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth1): device state change: 1 -> 2 (reason 2)
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth1): bringing up device.
May 10 17:49:24 testmachine kernel: eth1:  setting half-duplex.
May 10 17:49:24 testmachine kernel: ADDRCONF(NETDEV_UP): eth1: link is not ready
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth1): preparing device.
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth1): deactivating device (reason: 2).
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth0): carrier now ON (device state 2)
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth0): device state change: 2 -> 3 (reason 40)
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) starting connection 'System eth0'
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth0): device state change: 3 -> 4 (reason 0)
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) started...
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) scheduled...
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) starting...
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth0): device state change: 4 -> 5 (reason 0)
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) successful.
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) scheduled.
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) complete.
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) started...
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth0): device state change: 5 -> 7 (reason 0)
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Beginning DHCPv4 transaction (timeout in 45 seconds)
May 10 17:49:24 testmachine NetworkManager[1910]: <info> dhclient started with pid 2082
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) complete.
May 10 17:49:24 testmachine dhclient[2082]: Internet Systems Consortium DHCP Client 4.1.1
May 10 17:49:24 testmachine dhclient[2082]: Copyright 2004-2010 Internet Systems Consortium.
May 10 17:49:24 testmachine dhclient[2082]: All rights reserved.
May 10 17:49:24 testmachine dhclient[2082]: For info, please visit https://www.isc.org/software/dhcp/
May 10 17:49:24 testmachine dhclient[2082]: 
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth0): DHCPv4 state changed nbi -> preinit
May 10 17:49:24 testmachine dhclient[2082]: Listening on LPF/eth0/******************
May 10 17:49:24 testmachine dhclient[2082]: Sending on   LPF/eth0//******************
May 10 17:49:24 testmachine dhclient[2082]: Sending on   Socket/fallback
May 10 17:49:24 testmachine dhclient[2082]: DHCPREQUEST on eth0 to ****************** port **
May 10 17:49:24 testmachine dhclient[2082]: DHCPACK from /******************
May 10 17:49:24 testmachine NetworkManager[1910]: <info> (eth0): DHCPv4 state changed preinit -> reboot
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) scheduled...
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) started...
May 10 17:49:24 testmachine NetworkManager[1910]: <info>   address /******************
May 10 17:49:24 testmachine NetworkManager[1910]: <info>   prefix 24 (255.255.255.0)
May 10 17:49:24 testmachine NetworkManager[1910]: <info>   gateway /******************
May 10 17:49:24 testmachine NetworkManager[1910]: <info>   nameserver '/******************'
May 10 17:49:24 testmachine NetworkManager[1910]: <info>   nameserver '/******************'
May 10 17:49:24 testmachine NetworkManager[1910]: <info>   domain name '/******************'
May 10 17:49:24 testmachine dhclient[2082]: bound to ****************** -- renewal in 504820 seconds.
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) scheduled...
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) complete.
May 10 17:49:24 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) started...
May 10 17:49:25 testmachine NetworkManager[1910]: <info> (eth0): device state change: 7 -> 8 (reason 0)
May 10 17:49:25 testmachine NetworkManager[1910]: <info> Policy set 'System eth0' (eth0) as default for IPv4 routing and DNS.
May 10 17:49:25 testmachine NetworkManager[1910]: <info> Activation (eth0) successful, device activated.
May 10 17:49:25 testmachine NetworkManager[1910]: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) complete.

======================================
about 5 mins, the line is lost. nm-tool output when the line becomes lost:
NetworkManager Tool

State: connected

- Device: eth0  [System eth0] --------------------------------------------------
  Type:              Wired
  Driver:            ATL1E
  State:             connected
  Default:           yes
  HW Address:        ********************

  Capabilities:
    Carrier Detect:  yes
    Speed:           100 Mb/s

  Wired Properties
    Carrier:         on

  IPv4 Settings:
    Address:         ********************
    Prefix:          24 (255.255.255.0)
    Gateway:         ********************

    DNS:             ********************
    DNS:             ********************


- Device: eth1 -----------------------------------------------------------------
  Type:              Wired
  Driver:            3c59x
  State:             unavailable
  Default:           no
  HW Address:        ********************

  Capabilities:
    Carrier Detect:  yes
    Speed:           10 Mb/s

  Wired Properties
    Carrier:         off
Comment 3 Dan Williams 2010-05-10 18:33:52 EDT
When the problem occurs, do you get any messages in the output of 'dmesg' that are related to the atl1 ethernet card?
Comment 4 microflare 2010-05-10 18:53:33 EDT
no any new msg in the output of dmesg, which is sth like:

......
ADDRCONF(NETDEV_UP): eth1: link is not ready
ATL1E 0000:02:00.0: irq 30 for MSI/MSI-X
ATL1E 0000:02:00.0: ATL1E: eth0 NIC Link is Up<100 Mbps Full Duplex>
ADDRCONF(NETDEV_UP): eth0: link is not ready
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
eth1:  setting half-duplex.
ADDRCONF(NETDEV_UP): eth1: link is not ready
eth0: no IPv6 routers present
(end)

This atl1 is on the motherboard: ASUS P5Q PRO. Both eth0 and eth1 work fine under F12 x86_64.
Comment 5 Dan Williams 2010-05-12 15:14:57 EDT
Ok, we'll need to disable NetworkManager here to debug the issue and ensure that it's caused by the kernel driver.  So from a root terminal:

1) service NetworkManager stop
2) ifconfig eth0 up
3) dhclient -1 -d -v eth0

and then wait for dhclient to get a least, and leave dhclient running.  Try to use the machine normally and see if you get the networking freeze after a bit.  If so, this is most certainly a kernel driver bug.
Comment 6 microflare 2010-05-12 15:43:20 EDT
It's probably not the kernel driver issue. The network has no such problem when running using traditional network service.

Thanks.
Comment 7 Dan Williams 2010-05-14 12:58:52 EDT
Yeah, it could be a number of things.  First:

1) can you update to a later version of NetworkManager from updates-testing (at least git20100510 or later)?  If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.

2) Is your network IPv6 enabled?
Comment 8 microflare 2010-05-14 16:10:03 EDT
git20100510 not working either.

IPV6 not enabled.
Comment 9 Peter Larsen 2010-05-16 14:09:07 EDT
Same issue, F13 RC3. 64bit. Not running Gnome - full runlevel 3 only.

I removed all traces of NetworkManager and the error went away (of course).
Comment 10 Dan Williams 2010-05-17 19:54:55 EDT
Ok, then for everyone having problems, lets get the output of:

1) ifconfig <device name of affected device)
2) route -n
Comment 11 D. Dorn 2010-05-26 15:46:37 EDT
Updated Fedora 12 i686 to Fedora 13 with preupdate today.

[root@phoenix ~]# ifconfig eth1
eth1      Link encap:Ethernet  HWaddr 00:1F:E2:5C:CF:B1  
          inet addr:10.144.174.34  Bcast:10.144.174.255  Mask:255.255.255.0
          inet6 addr: fe80::21f:e2ff:fe5c:cfb1/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:48359 errors:0 dropped:0 overruns:0 frame:0
          TX packets:52675 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:4377170 (4.1 MiB)  TX bytes:3369745 (3.2 MiB)
          Interrupt:29 Base address:0x4000 

[root@phoenix ~]# ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:1F:E2:5C:CF:B0  
          inet addr:10.144.174.33  Bcast:10.144.174.255  Mask:255.255.255.0
          inet6 addr: fe80::21f:e2ff:fe5c:cfb0/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:44088 errors:0 dropped:0 overruns:0 frame:0
          TX packets:29366 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:64822728 (61.8 MiB)  TX bytes:2174295 (2.0 MiB)
          Interrupt:28 Base address:0xa000 

[root@phoenix ~]# route -n
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
10.144.174.0    0.0.0.0         255.255.255.0   U     1      0        0 eth1
10.144.174.0    0.0.0.0         255.255.255.0   U     1      0        0 eth0
0.0.0.0         10.144.174.1    0.0.0.0         UG    0      0        0 eth0
[root@phoenix ~]# /etc/init.d/network restart
Shutting down interface eth0:  Device state: 3 (disconnected)
                                                           [  OK  ]
Shutting down interface eth1:  Device state: 3 (disconnected)
                                                           [  OK  ]
Shutting down loopback interface:  Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
                                                           [  OK  ]
Bringing up loopback interface:  Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
                                                           [  OK  ]
Bringing up interface eth0:  Active connection state: activating
Active connection path: /org/freedesktop/NetworkManager/ActiveConnection/12
state: activated
Connection activated
                                                           [  OK  ]
Bringing up interface eth1:  Active connection state: activating
Active connection path: /org/freedesktop/NetworkManager/ActiveConnection/13
state: activated
Connection activated
                                                           [  OK  ]
[root@phoenix ~]# tail -f /var/log/messages
May 26 21:41:43 phoenix NetworkManager[1302]: <info> (eth0): device state change: 8 -> 3 (reason 39)
May 26 21:41:43 phoenix NetworkManager[1302]: <info> (eth0): deactivating device (reason: 39).
May 26 21:41:43 phoenix NetworkManager[1302]: <info> (eth0): canceled DHCP transaction, DHCP client pid 6735
May 26 21:41:43 phoenix NetworkManager[1302]: <error> [1274902903.585228] [nm-system.c:1229] check_one_route(): (eth0): error -34 returned from rtnl_route_del(): Sucess#012
May 26 21:41:43 phoenix avahi-daemon[1148]: Withdrawing address record for 10.144.174.33 on eth0.
May 26 21:41:43 phoenix avahi-daemon[1148]: Leaving mDNS multicast group on interface eth0.IPv4 with address 10.144.174.33.
May 26 21:41:43 phoenix avahi-daemon[1148]: Interface eth0.IPv4 no longer relevant for mDNS.
May 26 21:41:43 phoenix NetworkManager[1302]: <info> Policy set 'System eth1' (eth1) as default for IPv4 routing and DNS.
May 26 21:41:43 phoenix NetworkManager[1302]: <info> Policy set 'System eth1' (eth1) as default for IPv4 routing and DNS.
May 26 21:41:43 phoenix NetworkManager[1302]: <info> (eth1): device state change: 8 -> 3 (reason 39)
May 26 21:41:43 phoenix NetworkManager[1302]: <info> (eth1): deactivating device (reason: 39).
May 26 21:41:44 phoenix NetworkManager[1302]: <info> (eth1): canceled DHCP transaction, DHCP client pid 6775
May 26 21:41:44 phoenix NetworkManager[1302]: <error> [1274902904.20979] [nm-system.c:1229] check_one_route(): (eth1): error -34 returned from rtnl_route_del(): Sucess#012
May 26 21:41:44 phoenix avahi-daemon[1148]: Withdrawing address record for 10.144.174.34 on eth1.
May 26 21:41:44 phoenix avahi-daemon[1148]: Leaving mDNS multicast group on interface eth1.IPv4 with address 10.144.174.34.
May 26 21:41:44 phoenix avahi-daemon[1148]: Interface eth1.IPv4 no longer relevant for mDNS.
May 26 21:41:44 phoenix kernel: lo: Disabled Privacy Extensions
May 26 21:41:44 phoenix NetworkManager[1302]: <info> Activation (eth0) starting connection 'System eth0'
May 26 21:41:44 phoenix NetworkManager[1302]: <info> (eth0): device state change: 3 -> 4 (reason 0)
May 26 21:41:44 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
May 26 21:41:44 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) started...
May 26 21:41:44 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) scheduled...
May 26 21:41:44 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
May 26 21:41:44 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) starting...
May 26 21:41:44 phoenix NetworkManager[1302]: <info> (eth0): device state change: 4 -> 5 (reason 0)
May 26 21:41:44 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) successful.
May 26 21:41:44 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) scheduled.
May 26 21:41:44 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) complete.
May 26 21:41:44 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) started...
May 26 21:41:44 phoenix NetworkManager[1302]: <info> (eth0): device state change: 5 -> 7 (reason 0)
May 26 21:41:44 phoenix NetworkManager[1302]: <info> Activation (eth0) Beginning DHCPv4 transaction (timeout in 45 seconds)
May 26 21:41:44 phoenix NetworkManager[1302]: <info> dhclient started with pid 7291
May 26 21:41:44 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) complete.
May 26 21:41:44 phoenix dhclient[7291]: Internet Systems Consortium DHCP Client 4.1.1
May 26 21:41:44 phoenix dhclient[7291]: Copyright 2004-2010 Internet Systems Consortium.
May 26 21:41:44 phoenix dhclient[7291]: All rights reserved.
May 26 21:41:44 phoenix dhclient[7291]: For info, please visit https://www.isc.org/software/dhcp/
May 26 21:41:44 phoenix dhclient[7291]: 
May 26 21:41:44 phoenix dhclient[7291]: /var/lib/dhclient/dhclient-5fb06bd0-0bb0-7ffb-45f1-d6edd65f3e03-eth0.lease line 12: semicolon expected.
May 26 21:41:44 phoenix dhclient[7291]:   rebind 
May 26 21:41:44 phoenix dhclient[7291]:    ^
May 26 21:41:44 phoenix dhclient[7291]: /var/lib/dhclient/dhclient-5fb06bd0-0bb0-7ffb-45f1-d6edd65f3e03-eth0.lease line 14: semicolon expected.
May 26 21:41:44 phoenix dhclient[7291]: }
May 26 21:41:44 phoenix dhclient[7291]:  ^
May 26 21:41:44 phoenix dhclient[7291]: /var/lib/dhclient/dhclient-5fb06bd0-0bb0-7ffb-45f1-d6edd65f3e03-eth0.lease line 14: unterminated lease declaration.
May 26 21:41:44 phoenix dhclient[7291]: }
May 26 21:41:44 phoenix dhclient[7291]:  ^
May 26 21:41:44 phoenix NetworkManager[1302]: <info> (eth0): DHCPv4 state changed nbi -> preinit
May 26 21:41:44 phoenix dhclient[7291]: Listening on LPF/eth0/00:1f:e2:5c:cf:b0
May 26 21:41:44 phoenix dhclient[7291]: Sending on   LPF/eth0/00:1f:e2:5c:cf:b0
May 26 21:41:44 phoenix dhclient[7291]: Sending on   Socket/fallback
May 26 21:41:45 phoenix dhclient[7291]: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 5
May 26 21:41:45 phoenix dhclient[7291]: DHCPOFFER from 10.144.174.1
May 26 21:41:45 phoenix dhclient[7291]: DHCPREQUEST on eth0 to 255.255.255.255 port 67
May 26 21:41:45 phoenix dhclient[7291]: DHCPACK from 10.144.174.1
May 26 21:41:45 phoenix dhclient[7291]: bound to 10.144.174.33 -- renewal in 872580742 seconds.
May 26 21:41:45 phoenix NetworkManager[1302]: <info> (eth0): DHCPv4 state changed preinit -> bound
May 26 21:41:45 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) scheduled...
May 26 21:41:45 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) started...
May 26 21:41:45 phoenix NetworkManager[1302]: <info>   address 10.144.174.33
May 26 21:41:45 phoenix NetworkManager[1302]: <info>   prefix 24 (255.255.255.0)
May 26 21:41:45 phoenix NetworkManager[1302]: <info>   gateway 10.144.174.1
May 26 21:41:45 phoenix NetworkManager[1302]: <info>   nameserver '10.144.174.1'
May 26 21:41:45 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) scheduled...
May 26 21:41:45 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) complete.
May 26 21:41:45 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) started...
May 26 21:41:45 phoenix avahi-daemon[1148]: Joining mDNS multicast group on interface eth0.IPv4 with address 10.144.174.33.
May 26 21:41:45 phoenix avahi-daemon[1148]: New relevant interface eth0.IPv4 for mDNS.
May 26 21:41:45 phoenix avahi-daemon[1148]: Registering new address record for 10.144.174.33 on eth0.IPv4.
May 26 21:41:46 phoenix NetworkManager[1302]: <info> (eth0): device state change: 7 -> 8 (reason 0)
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Policy set 'System eth0' (eth0) as default for IPv4 routing and DNS.
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth0) successful, device activated.
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) complete.
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) starting connection 'System eth1'
May 26 21:41:46 phoenix NetworkManager[1302]: <info> (eth1): device state change: 3 -> 4 (reason 0)
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) scheduled...
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) started...
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) scheduled...
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) complete.
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) starting...
May 26 21:41:46 phoenix NetworkManager[1302]: <info> (eth1): device state change: 4 -> 5 (reason 0)
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) successful.
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 3 of 5 (IP Configure Start) scheduled.
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) complete.
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 3 of 5 (IP Configure Start) started...
May 26 21:41:46 phoenix NetworkManager[1302]: <info> (eth1): device state change: 5 -> 7 (reason 0)
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Beginning DHCPv4 transaction (timeout in 45 seconds)
May 26 21:41:46 phoenix NetworkManager[1302]: <info> dhclient started with pid 7338
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 3 of 5 (IP Configure Start) complete.
May 26 21:41:46 phoenix dhclient[7338]: Internet Systems Consortium DHCP Client 4.1.1
May 26 21:41:46 phoenix dhclient[7338]: Copyright 2004-2010 Internet Systems Consortium.
May 26 21:41:46 phoenix dhclient[7338]: All rights reserved.
May 26 21:41:46 phoenix dhclient[7338]: For info, please visit https://www.isc.org/software/dhcp/
May 26 21:41:46 phoenix dhclient[7338]: 
May 26 21:41:46 phoenix dhclient[7338]: /var/lib/dhclient/dhclient-9c92fad9-6ecb-3e6c-eb4d-8a47c6f50c04-eth1.lease line 26: semicolon expected.
May 26 21:41:46 phoenix dhclient[7338]:   rebind 
May 26 21:41:46 phoenix dhclient[7338]:    ^
May 26 21:41:46 phoenix dhclient[7338]: /var/lib/dhclient/dhclient-9c92fad9-6ecb-3e6c-eb4d-8a47c6f50c04-eth1.lease line 28: semicolon expected.
May 26 21:41:46 phoenix dhclient[7338]: }
May 26 21:41:46 phoenix dhclient[7338]:  ^
May 26 21:41:46 phoenix dhclient[7338]: /var/lib/dhclient/dhclient-9c92fad9-6ecb-3e6c-eb4d-8a47c6f50c04-eth1.lease line 28: unterminated lease declaration.
May 26 21:41:46 phoenix dhclient[7338]: }
May 26 21:41:46 phoenix dhclient[7338]:  ^
May 26 21:41:46 phoenix NetworkManager[1302]: <info> (eth1): DHCPv4 state changed nbi -> preinit
May 26 21:41:46 phoenix dhclient[7338]: Listening on LPF/eth1/00:1f:e2:5c:cf:b1
May 26 21:41:46 phoenix dhclient[7338]: Sending on   LPF/eth1/00:1f:e2:5c:cf:b1
May 26 21:41:46 phoenix dhclient[7338]: Sending on   Socket/fallback
May 26 21:41:46 phoenix dhclient[7338]: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 4
May 26 21:41:46 phoenix dhclient[7338]: DHCPOFFER from 10.144.174.1
May 26 21:41:46 phoenix dhclient[7338]: DHCPREQUEST on eth1 to 255.255.255.255 port 67
May 26 21:41:46 phoenix dhclient[7338]: DHCPACK from 10.144.174.1
May 26 21:41:46 phoenix NetworkManager[1302]: <info> (eth1): DHCPv4 state changed preinit -> bound
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 4 of 5 (IP4 Configure Get) scheduled...
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 4 of 5 (IP4 Configure Get) started...
May 26 21:41:46 phoenix NetworkManager[1302]: <info>   address 10.144.174.34
May 26 21:41:46 phoenix NetworkManager[1302]: <info>   prefix 24 (255.255.255.0)
May 26 21:41:46 phoenix NetworkManager[1302]: <info>   gateway 10.144.174.1
May 26 21:41:46 phoenix NetworkManager[1302]: <info>   nameserver '10.144.174.1'
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 5 of 5 (IP Configure Commit) scheduled...
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 4 of 5 (IP4 Configure Get) complete.
May 26 21:41:46 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 5 of 5 (IP Configure Commit) started...
May 26 21:41:46 phoenix avahi-daemon[1148]: Joining mDNS multicast group on interface eth1.IPv4 with address 10.144.174.34.
May 26 21:41:46 phoenix avahi-daemon[1148]: New relevant interface eth1.IPv4 for mDNS.
May 26 21:41:46 phoenix avahi-daemon[1148]: Registering new address record for 10.144.174.34 on eth1.IPv4.
May 26 21:41:46 phoenix dhclient[7338]: bound to 10.144.174.34 -- renewal in 872580741 seconds.
May 26 21:41:47 phoenix NetworkManager[1302]: <info> Policy set 'System eth0' (eth0) as default for IPv4 routing and DNS.
May 26 21:41:47 phoenix NetworkManager[1302]: <info> (eth1): device state change: 7 -> 8 (reason 0)
May 26 21:41:47 phoenix NetworkManager[1302]: <info> Activation (eth1) successful, device activated.
May 26 21:41:47 phoenix NetworkManager[1302]: <info> Activation (eth1) Stage 5 of 5 (IP Configure Commit) complete.
Comment 12 Thomas Canniot 2010-05-28 17:43:39 EDT
[root@localhost ~]# ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:22:64:52:44:15  
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 lg file transmission:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interruption:29 Adresse de base:0xe000 

[root@localhost ~]# route -n
Table de routage IP du noyau
Destination     Passerelle      Genmask         Indic Metric Ref    Use Iface
192.168.0.0     0.0.0.0         255.255.255.0   U     2      0        0 wlan0
0.0.0.0         192.168.0.254   0.0.0.0         UG    0      0        0 wlan0
Comment 13 microflare 2010-05-31 11:56:52 EDT
Hi, I just want to update that the problem of intermittent connection seems to disappear when running NetworkManager-gnome-0.8.1-0.1.git20100510.fc13.x86_64. Thanks!
Comment 14 Tomas Dabašinskas 2010-06-01 20:17:04 EDT
Same here, when doing service network restart

Thanks,
Tomas
Comment 15 Turgut Kalfaoglu 2010-06-20 00:21:12 EDT
Just wanted to say that I have the same issue with a fresh install of Fedora 13 on an Asus M51VA built-in wlan hardware.

tail /var/log/messages

Jun 20 07:15:48 tklaptop NetworkManager[1239]: <info> (wlan0): device state change: 8 -> 3 (reason 39)
Jun 20 07:15:48 tklaptop NetworkManager[1239]: <info> (wlan0): deactivating device (reason: 39).
Jun 20 07:15:48 tklaptop NetworkManager[1239]: <info> (wlan0): canceled DHCP transaction, DHCP client pid 1380
Jun 20 07:15:48 tklaptop NetworkManager[1239]: <error> [1277007348.287360] [nm-system.c:1229] check_one_route(): (wlan0): error -34 returned from rtnl_route_del(): Sucess#012
Jun 20 07:15:48 tklaptop avahi-daemon[1250]: Withdrawing address record for 192.168.1.10 on wlan0.
Jun 20 07:15:48 tklaptop avahi-daemon[1250]: Leaving mDNS multicast group on interface wlan0.IPv4 with address 192.168.1.10.
Jun 20 07:15:48 tklaptop avahi-daemon[1250]: Interface wlan0.IPv4 no longer relevant for mDNS.
Jun 20 07:15:48 tklaptop kernel: mac80211-phy0: failed to remove key (0, 00:c0:49:5d:90:f9) from hardware (-22)
Comment 16 Turgut Kalfaoglu 2010-06-20 00:23:15 EDT
This only happens with a particular wifi connection - replacing the wireless modem did not solve it. The only difference from other wifi connections that I use seems to be that this one is in a major city, and have many other wifi access points in the neighborhood.
Comment 17 Dan Williams 2010-06-28 18:01:04 EDT
"Reason: 39" means that some client requested the deactivation, either through the applet UI, ifup/ifdown, or nmcli.  You may have chosen "Disconnect" from the menu, or unchecked "Enable networking", or you may have put your machine to sleep.

Jun 20 07:15:48 tklaptop NetworkManager[1239]: <info> (wlan0): device state
change: 8 -> 3 (reason 39)

Are any of these the case?  Because those are the only reasons that NM would report "reason 39" for disconnecting a network device.
Comment 18 Turgut Kalfaoglu 2010-06-28 23:07:40 EDT
This happens all by itself - so I assume the "sleep" is the issue?
I checked the power management options, and the machine is set for "put computer to sleep: never".

Perhaps the NetworkManager can display which application requested the state change?   that would help us a lot..
Comment 19 Craig Magina 2010-06-30 10:20:38 EDT
My network uses NIS for user management, so the NetworkManager service is being started during boot before ypbind and autofs (for the home directorys).  However, I am getting these same errors when the network service goes to start.  I can get a connection by using KDE's knetworkmanager to select the System connection.  However, due to having to manually enable the connection, NIS never binds during boot preventing me from using my network user account.

[root@raumo ~]# ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:1E:4F:E8:48:A7  
          inet addr:134.111.225.44  Bcast:134.111.225.255  Mask:255.255.255.0
          inet6 addr: fe80::21e:4fff:fee8:48a7/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:9325 errors:0 dropped:0 overruns:0 frame:0
          TX packets:6799 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100 
          RX bytes:12058724 (11.5 MiB)  TX bytes:567045 (553.7 KiB)
          Memory:febe0000-fec00000

[root@raumo ~]# route -n
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
134.111.225.0   0.0.0.0         255.255.255.0   U     1      0        0 eth0
0.0.0.0         134.111.225.1   0.0.0.0         UG    0      0        0 eth0

[root@raumo ~]# service network restart
Shutting down interface eth0:  Device state: 3 (disconnected)
                                                           [  OK  ]
Shutting down loopback interface:  Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
                                                           [  OK  ]
Bringing up loopback interface:  Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
                                                           [  OK  ]

Here is the /var/log/messages output from issuing the 'service network restart'.

Jun 30 10:11:57 raumo NetworkManager[4285]: <info> (eth0): device state change: 8 -> 3 (reason 39)
Jun 30 10:11:57 raumo NetworkManager[4285]: <info> (eth0): deactivating device (reason: 39).
Jun 30 10:11:57 raumo NetworkManager[4285]: <info> (eth0): canceled DHCP transaction, DHCP client pid 4299
Jun 30 10:11:57 raumo NetworkManager[4285]: <error> [1277907117.305397] [nm-system.c:1229] check_one_route(): (eth0): error -34 returned from rtnl_route_del(): Sucess#012
Jun 30 10:11:57 raumo avahi-daemon[1105]: Withdrawing address record for 134.111.225.44 on eth0.
Jun 30 10:11:57 raumo avahi-daemon[1105]: Leaving mDNS multicast group on interface eth0.IPv4 with address 134.111.225.44.
Jun 30 10:11:57 raumo avahi-daemon[1105]: Interface eth0.IPv4 no longer relevant for mDNS.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo avahi-daemon[1105]: querier.c: querier_remove() called but no querier to remove.
Jun 30 10:11:57 raumo kernel: lo: Disabled Privacy Extensions
Jun 30 10:11:59 raumo ntpd[1359]: Deleting interface #9 eth0, 134.111.225.44#123, interface stats: received=2, sent=2, dropped=0, active_time=119 secs
Jun 30 10:11:59 raumo ntpd[1359]: 134.111.220.131 interface 134.111.225.44 -> (null)

I can bring up eth0 by issuing ifup on the device as well.

[root@raumo ~]# ifup eth0
Active connection state: activating
Active connection path: /org/freedesktop/NetworkManager/ActiveConnection/1
state: activated
Connection activated

The issue is with the ifcfg-lo config file:

[root@raumo ~]# ifup lo
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown

I'm not very well versed in the syntax these config files use, so I am not sure what it is tripping over.
Comment 20 Craig Magina 2010-06-30 10:26:56 EDT
(In reply to comment #19)

Nevermind, I was mixing network with NetworkManager, which is what was causing my conflict.  Using just one or the other works just fine for me.
Comment 21 Bug Zapper 2011-06-02 10:15:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2011-06-27 12:14:18 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.